databases/jdbc-mysql51 - The NetBSD Packages Collection

MySQL 5.1 JDBC driver

MySQL provides connectivity for client applications developed in the Java
programming language via a JDBC driver, which is called MySQL Connector/J.

MySQL Connector/J is a JDBC Type 4 driver. Different versions are available
that are compatible with the JDBC 3.0 and JDBC 4.0 specifications. The Type
4 designation means that the driver is pure-Java implementation of the MySQL
protocol and does not rely on the MySQL client libraries.

In the 5.1 version, useOldAliasMetadataBehavior is default false.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/openjdk11 lang/openjdk11

Binary packages

OSArchitectureVersion
NetBSD 8.0i386jdbc-mysql-5.1.40.tgz
NetBSD 8.0i386jdbc-mysql-5.1.40.tgz
NetBSD 8.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 8.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0aarch64jdbc-mysql-5.1.40.tgz
NetBSD 9.0aarch64jdbc-mysql-5.1.40.tgz
NetBSD 9.0aarch64jdbc-mysql-5.1.40.tgz
NetBSD 9.0earmv6hfjdbc-mysql-5.1.40.tgz
NetBSD 9.0earmv6hfjdbc-mysql-5.1.40.tgz
NetBSD 9.0earmv7hfjdbc-mysql-5.1.40.tgz
NetBSD 9.0i386jdbc-mysql-5.1.40.tgz
NetBSD 9.0i386jdbc-mysql-5.1.40.tgz
NetBSD 9.0i386jdbc-mysql-5.1.40.tgz
NetBSD 9.0sparc64jdbc-mysql-5.1.40.tgz
NetBSD 9.0sparc64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz
NetBSD 9.0x86_64jdbc-mysql-5.1.40.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.